## neurodebian 0.43.1

=== debian/changelog ===
neurodebian (0.43.1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain in Debian Med team
  * Secure URI in Homepage
  * No support of Debian squeeze and Ubuntu utopic and more thus
    Closes: #803268
  * Do not Depends: gnupg2 (transitional package) any more
    Closes: #1055403
  * Recommends: s/reportbug-ng/reportbug-gtk/
    Closes: #1115641
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation
    Closes: #1106023

 -- Andreas Tille <tille@debian.org>  Sun, 08 Feb 2026 17:58:37 +0100
