=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: neurodebian
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: science
-Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                inkscape,
                imagemagick,
                gpg,
                python3-html5lib,
                po-debconf,
-Standards-Version: 4.7.0
-Vcs-Browser: http://github.com/neurodebian/neurodebian
-Vcs-Git: http://github.com/neurodebian/neurodebian
-Homepage: http://neuro.debian.net
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/med-team/neurodebian
+Vcs-Git: https://salsa.debian.org/med-team/neurodebian.git
+Homepage: https://neuro.debian.net
 
 Package: neurodebian
 Architecture: all
@@ -68,7 +67,7 @@
          desktop-base,
          adwaita-icon-theme | gnome-icon-theme,
          neurodebian-popularity-contest
-Recommends: reportbug-ng
+Recommends: reportbug-gtk
 Description: neuroscience-oriented distribution - desktop integration
  The NeuroDebian project integrates and maintains a variety of software
  projects within Debian that are useful for neuroscience (such as AFNI,
@@ -82,7 +81,7 @@
 Package: neurodebian-archive-keyring
 Architecture: all
 Depends: ${misc:Depends},
-         gnupg2 | gnupg,
+         gnupg,
          dirmngr
 Breaks: neurodebian-keyring (<< 0.34~)
 Replaces: neurodebian-keyring (<< 0.34~)
@@ -105,7 +104,7 @@
  pandas, etc.).
  .
  This minimalistic package provides nd_freeze script to be used in
- rich or minimalistic environments (such as Docker or Singularity 
+ rich or minimalistic environments (such as Docker or Singularity
  recipes) to freeze their APT sources.  Intended to assist making such
  images reproducible.
